Subject: Re: [PATCH v5 14/18] cxl: Support to flash a new image on the adapter from a guest

From: Manoj Kumar <[email-masked]>
Date: Thu, 25 Feb 2016 10:59:06 -0600

Fred: Comments below.

On 2/25/2016 7:11 AM, Frederic Barrat wrote:
>
>
> Le 24/02/2016 21:03, Manoj Kumar a écrit :
>
>>> From: Christophe Lombard <[email-masked]>
>>>
>>> +#define CXL_DEV_MINORS 13   /* 1 control + 4 AFUs * 3
>>> (dedicated/master/shared) */
>>
>> Where does this limit of 4 AFUs come from?
>> Is this related to CXL_MAX_SLICES?
>> Should this be a computed value, in case the number of AFUs/slices
>> is increased at a future date?
>
> The architecture document (CAIA) limits the number of AFUs to 4, though
> I don't think anybody as tried with more than 1 so far.
> So yes, we could have reused CXL_MAX_SLICES. Since we were just moving
> the definition from another file and this is not likely to vary until a
> major revision of the architecture, I don't intend to address it in this
> patchset, but I've added it to my list of ideas for future cleanup (you
> had already mentioned something about hard-coded constants in the
> previous series).

Since it was a carryover from existing code, it is fine to address
later.

>> memset(0) after kzalloc() is redundant.
>
> yep! Will fix.

If this is resolved in v6, you may add

Reviewed-by: Manoj Kumar <[email-masked]>

---
Manoj Kumar